libnet-netmask-perl (1.9104-1) unstable; urgency=medium

  * Team upload.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update GitHub URLs to use HTTPS.

  * Import upstream version 1.9104.
  * Replace cdbs with dh(1).
  * Add new upstream copyright holder.
  * Update headers in debian/copyright.
  * Add debian/upstream/metadata.
  * Install new upstream documents.
  * Add new build dependencies.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 4.3.0.
  * Bump debhelper compatibility level to 11.
  * Remove trailing whitespace from debian/*.
  * Update short and long descriptions.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Jan 2019 21:44:00 +0100

libnet-netmask-perl (1.9022-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Jonas Smedegaard ]
  * Revert to depend unversioned on debhelper: Needed version satisfied
    even in oldstable.
  * Update copyright info:
    + Add alternate git source URL.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover recent years
    + Tighten license of packaging to GPL-3+.
  * Drop md5sum of upstream tarball: Track git instead.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Declare compliance with Debian Policy 3.9.6.
  * Fix CDBS upstream-tarball.mk hints.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Oct 2015 23:06:17 +0100

libnet-netmask-perl (1.9021-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.9021
  * Drop spelling-error.patch (applied upstream)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Jul 2014 14:53:25 +0200

libnet-netmask-perl (1.9019-1) unstable; urgency=low

  * [b72bb25c] Imported Upstream version 1.9019

  [ Salvatore Bonaccorso ]
  * [7ecd764f] Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Xavier Guimard ]
  * [db1c455c] Add licenses texts to remove
                   missing-license-text-in-dep5-copyright warning

  [ Daniel Lintott ]
  * [2f127653] Update DEB_UPSTREAM_TARBALL_MD5
  * [e37dd3f1] Update homepages to metacpan URL
  * [ff29596a] d/copyright - Update upstream copyright years
  * [e24531e3] Add myself to uploaders
  * [38f5df8c] Drop version from cdbs in Build-Depends
  * [6261a9dd] Bump standards version to 3.9.5
  * [8cc6f564] d/control - Remove extra whitespace before short description
  * [fec5965a] d/compat - Change to 8
  * [54c4fca3] d/control - Add version to debhelper build-depend
  * [1984ebd5] Add patch to correct spelling error in Netmask.pod

 -- Daniel Lintott <daniel@serverb.co.uk>  Sun, 23 Feb 2014 19:29:30 +0000

libnet-netmask-perl (1.9016-1) unstable; urgency=low

  * New upstream release.

  [ Jotam Jr. Trejo ]
  * Update copyright file:
    + Update copyright holders

  [ Ansgar Burchardt ]
  * Update Vcs-fields: Packaging moved to Git.

  [ Jonas Smedegaard ]
  * Modernize CDBS usage:
    + Drop local snippets: All included upstream now.
    + Include perl-makemaker.mk (not deprecated perlmodule.mk).
    + Document in README.source (not README.cdbs-tweaks).
  * Use dpkg source format 3.0 (quilt), and stop including
    patchsys-quilt.mk.
  * Ease building with git-buildpackage:
    + Git-ignore quilt .pc dir.
    + Add config enabling pristin-tar and tag-signing.
  * Drop patch to avoid int(): Applied upstream.
  * Add proper licensing header to rules file.
  * Update copyright file:
    + Drop copyright on Debian packaging added (originally) by me: not
      claimed by contributor.
    + Rewrite using machine-readable format 1.0.
  * Update package relations:
    + Stop build-depending on quilt: Not (directly) used with dpkg
      source format 3.0 (quilt).
    + Tighten build-dependency on cdbs: Needed for perl-makemaker.mk.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
  * Bump standards-version to 3.9.3.
  * Sort and newline-delimit Uploaders field.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Mar 2012 15:15:51 +0200

libnet-netmask-perl (1.9015-4) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Dominic Hargreaves ]
  * Add quilt
  * Add uselongdouble.patch: use POSIX::floor rather than int to avoid
    a rounding error when used with a perl configured with -Duselongdouble
    (Closes: #578847)
  * Fix dependency on debhelper to match debian/compat
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 02 May 2010 22:33:10 +0100

libnet-netmask-perl (1.9015-3) unstable; urgency=medium

  * Update Vcs-* fields in debian/control(.in) to point to Perl group.
  * Update local cdbs tweaks:
    + Strip non-printable chars from copyright-check.mk output.
    + Relax copyright-check.mk to only warn by default.  This fixes a
      potential FTBFS.
    + Fix update-tarball.mk wget options to work with recent wget.
    + Simplify dependency cleanup slightly (quilt isn't in use here).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Depend on ${misc:Depends}.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
  * Set urgency=medium due to potential FTBFS bugfix.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 11:11:04 +0200

libnet-netmask-perl (1.9015-2) unstable; urgency=low

  [ Gunnar Wolf ]
  * Fixed typo in long description (Closes: #300016)

  [ Jonas Smedegaard ]
  * Pass over maintenance of the package to the Perl group: Change Maintainer,
    and add myself to Uploaders.
  * Rewrite debian/copyright:
    + Conform to proposed new format at
      http://wiki.debian.org/Proposals/CopyrightFormat .
    + Extend upstream copyright years to 2006.
    + Debian Perl Team holds copyright for Debian packaging in 2008.
  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Bump debhelper compat level and build-dependency to version 5.
  * Update debian/watch:
    + Use svn-upgrade (not uupdate).
    + Use by-dist upstream URL.
  * Bump up standards-version to 3.7.3 (no changes needed).
  * Update local cdbs snippets:
    + Major improvements to update-tarball (but none of them affecting this
      current packaging).
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Drop buildcore.mk override.  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL directly
      instead when needed.
    + Update debian/README.cdbs-tweaks to no longer mention buildcore.mk
      override.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Mar 2008 03:00:53 +0100

libnet-netmask-perl (1.9015-1) unstable; urgency=low

  * New upstream release.
  * Update local cdbs snippets:
    + Add upstream-tarball.mk adding get-orig-source rule and more.
    + Overload buildcore.mk (instead of separate auto-update.mk).
    + Check copyrights in prebuild (in clean it may choke on not yet
      cleaned stuff), and make sure it runs only once.
    + List non-binary files affected if discovering new copyrights.
    + Add documentation to source as debian/README.cdbs-tweaks.
  * Improve watch file
    + Bump to syntax version 3.
    + Only use paratheses around version in regex.
  * Use Build-depends (not -indep). Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Apr 2007 23:49:02 +0200

libnet-netmask-perl (1.9012-2) unstable; urgency=low

  * Bump standards-version to 3.7.2 (no changes needed).
  * Advertise search.cpan.org as Homepage in long description.
  * Add local cdbs snippet copyright-check.mk.
  * Move cdbs auto-update feature to local snippet auto-update.mk.
  * Update local cdbs snippet buildinfo.mk to use correct namespace.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2006 22:11:50 +0200

libnet-netmask-perl (1.9012-1) unstable; urgency=low

  * New upstream release.
  * Use local cdbs snippet to invoke dh-buildinfo.
  * Enable cdbs debian/control auto-update.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 May 2005 16:05:54 +0200

libnet-netmask-perl (1.9011-1) unstable; urgency=low

  * New upstream release.
  * Rewrite watch file:
    + Add note on usage.
    + Use more generic regex.

 -- Jonas Smedegaard <dr@jones.dk>  Mon,  6 Sep 2004 17:50:49 +0200

libnet-netmask-perl (1.9009-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.6.1
  * debian/copyright changed slightly to include "GNU" when mentioning
    Debian.

 -- Jonas Smedegaard <dr@jones.dk>  Tue,  4 May 2004 17:08:12 +0200

libnet-netmask-perl (1.9007-1) unstable; urgency=low

  * New upstream release.
  * Rewrite debian/copyright:
    + Mention upstream package name.
    + Drop Debian-related info also in debian/changelog.
    + Rephrase location of upstream source.
    + Update copyright (newer years added).
  * Use (and build-depend on) dh_buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 26 Jan 2004 18:17:04 +0100

libnet-netmask-perl (1.9006-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Dec 2003 03:12:04 +0100

libnet-netmask-perl (1.9004-2) unstable; urgency=low

  * Rebuild using newer cdbs (Closes: Bug#203618 - no need to tighten
    build-dependencies, as cdbs has not yet been included in any
    official release of Debian).
  * Standards-version 3.6.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 31 Jul 2003 14:36:12 +0200

libnet-netmask-perl (1.9004-1) unstable; urgency=low

  * New upstream release.
  * Switch from cbs to cdbs.
  * Standards-Version 3.5.10 (no changes needed).
  * Build-depend on cdbs, tighten build-dependency on debhelper, and use
    debian/compat = 4.
  * Switch section to perl.
  * Lower build-dependency on perl a bit to match policy.
  * Remove parantheses from debian/copyright to please lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 May 2003 14:15:50 +0200

libnet-netmask-perl (1.9002-3) unstable; urgency=low

  * Build the package using binary-indep build-target (closes: #157492).
  * Debian/copyright *IS* copied verbatim (closes: #157492).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2002 07:18:01 +0200

libnet-netmask-perl (1.9002-2) unstable; urgency=low

  * Change source URL to use cpan.org.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2002 22:35:55 +0200

libnet-netmask-perl (1.9002-1) unstable; urgency=low

  * Newer upstream version (only change is the improved license now
    officially included).
  * Removed the now obsolete mail_from_muir.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Nov 2001 20:51:31 +0100

libnet-netmask-perl (1.9001-2) unstable; urgency=low

  * Changed license after discussion with upstream author, and added the
    final mail from him (mail_from_muir) permitting to change the
    licence.
  * Build with -sa to include source with upload, as the above should
    now (hopefully) allow the package into Debian (Closes: #118151).

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  7 Nov 2001 13:24:20 +0100

libnet-netmask-perl (1.9001-1) unstable; urgency=low

  * Released officially (Closes: #118151).
  * Newer upsream source.
  * Repackaged using newest dh-make-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sat,  3 Nov 2001 13:15:09 +0100

libnet-netmask-perl (1.8-0.1) unstable; urgency=low

  * Initial unofficial release.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  3 May 2000 17:45:17 +0200

Local variables:
mode: debian-changelog
End:
